$(function()
{
    $.setAjaxForm('#linkContactForm', function(data)
    {
        if(data.result == 'success')
        {
            $.reloadAjaxModal(1500, 950);
        }
        else
        {
            if(data.error && data.error.length)
            {
                $('#duplicateError').html($('.errorMessage').html());
                $('#duplicateError .alert').prepend(data.error).show();

                $(document).on('click', '#duplicateError #continueSubmit', function()
                {
                    $('#duplicateError').append("<input value='1' name='continue' class='hide'>");
                    $('#linkContactForm #submit').click();
                })
            }
        }
    })

    $('#selectContact').change(function()
    {
        if($(this).prop('checked'))
        {
            $('.contactInfo').hide();
            $('#contact_chosen').show();
        }
        else
        {
            $('.contactInfo').show();
            $('#contact_chosen').hide();
        }
        $(this).parents('.input-group').fixInputGroup();
    });
    $('#selectContact').change();
})
